
import streamlit.components.v1 as components
from pollination_streamlit.selectors import get_api_client
from pollination_streamlit_io import (select_account, select_project, select_recipe, 
                                      recipe_inputs_form, run_card, run_details)

import streamlit as st

api_client = get_api_client()

account = select_account('st-account', api_client)
project = select_project('st-project', 
                         api_client, 
                         project_owner=account.get('username') or 'ladybug-tools') if account else None
recipe = select_recipe('st-recipe', api_client,
                       project_owner=account['username'] if 'username' in account else account['account_name'],
                       project_name=project.get('name') or 'demo') if project else None

if recipe:
    study_info = recipe_inputs_form(key='st-study', 
                                    api_client=api_client, 
                                    project_name=project.get('name'),
                                    project_owner=account['username'] if 'username' in account else account['account_name'],
                                    recipe_filter=recipe,
                                    controlled_values={
                                        'wea': {
                                            'value': {
                                                'pollination_local_path': 'C:/ladybug/ITA_Campobasso.162520_IGDG/ITA_Campobasso.162520_IGDG.wea'
                                            }
                                        }
                                    })
    if study_info:
        out_run = run_card(
            'run-card',
            api_client,
            project_name = study_info.get('projectName'),
            project_owner = study_info.get('accountName'),
            run = study_info.get('run'),
            is_local = study_info.get('isLocal'))
        
        if out_run:
            card = run_details(
                'run-details', 
                api_client = api_client,
                project_name = study_info.get('projectName'),
                project_owner = study_info.get('accountName'),
                run = out_run,
                is_local = study_info.get('isLocal'))
